For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList signals
        • POSTCreate a signal
        • GETRetrieve a signal
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationSignals

Retrieve a signal

GET
https://api.middesk.com/v1/signals/:id
GET
/v1/signals/:id
$curl https://api.middesk.com/v1/signals/id \
> -H "Authorization: Bearer <token>"
1{
2 "object": "signal",
3 "id": "f6a7b8c9-d0e1-2345-f012-3456789abcde",
4 "name": "Acme Corporation",
5 "created_at": "2025-01-07T12:00:00Z",
6 "tin": "12-3456789",
7 "external_id": "ext-12345",
8 "model_slug": "verify",
9 "score": 0.85,
10 "batch_id": "a7b8c9d0-e1f2-3456-0123-456789abcdef",
11 "requester": {
12 "id": "b8c9d0e1-f2a3-4567-1234-56789abcdef0",
13 "type": "Account",
14 "name": "Example Account"
15 },
16 "reasons": [
17 {
18 "category": "identification",
19 "group": "name",
20 "description": "Business name verified",
21 "code": "V101",
22 "importance": 1.1
23 }
24 ],
25 "addresses": [
26 "123 Main Street, San Francisco, CA 94105"
27 ],
28 "people": [
29 "people"
30 ]
31}
Was this page helpful?
Previous

Retrieve a monitor for a business

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Signal ID

Response

signal found
objectstring
idstringformat: "uuid"
namestring
created_atdatetime
tinstring or null
external_idstring or null
model_slugstring
scoredouble or null
business_idstring or nullformat: "uuid"
batch_idstring or nullformat: "uuid"
requesterobject
reasonslist of objects
addresseslist of strings
peoplelist of strings

Errors

404
Get Signal Request Not Found Error